MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026237Open CASCADE[OCCT] OCCT:Testspublic2015-05-19 13:002015-10-23 20:51
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026237: Change platform in TODOs from Debian\Mandriva to Linux
DescriptionChange platform in occt and products test cases in TODOs from Debian\Mandriva to Linux
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0041283)
git (administrator)
2015-05-19 15:25

Branch CR26237 has been created by apn.

SHA-1: ff2217e657ff99a08e31c6f37da22cdc3d3b2a43


Detailed log of new commits:

Author: apn
Date: Tue May 19 15:24:43 2015 +0300

    0026237: Change platform in TODOs from Debian\Mandriva to Linux
    
    Change platform in occt test cases in TODOs from Debian\Mandriva to Linux
(0041284)
apn (administrator)
2015-05-19 15:35

Dear abv, please review occt and products branches CR26237.
(0041291)
abv (manager)
2015-05-19 16:41

I appreciate this change: it actually drops use of OCC-specific names for OS and uses Tcl variable $tcl_platform(platform) directly. I propose you complete this change by removing all uses of $env(os_type), in TestCommands.tcl and tests (around 100 occasions), replacing it by $tcl_platform(platform). The procedure _tests_platform_def can be removed then.
(0041326)
git (administrator)
2015-05-20 16:40

Branch CR26237 has been updated by apn.

SHA-1: e8b8faddd8f40fe3e4348f07295da9994c8f77f7


Detailed log of new commits:

Author: apn
Date: Wed May 20 16:40:38 2015 +0300

    Small corrections in test cases. Return procedure _tests_platform_def.

(0041376)
git (administrator)
2015-05-21 13:09

Branch CR26237 has been updated forcibly by apn.

SHA-1: a8f3067a59241319452206ff11e0d1507aa2e1f2
(0041378)
git (administrator)
2015-05-21 13:40

Branch CR26237 has been updated forcibly by apn.

SHA-1: 3b6e595f6653aed813307c6d9e5f5b65fe0b9ef3
(0041386)
git (administrator)
2015-05-21 15:11

Branch CR26237 has been updated by apn.

SHA-1: c6f84a997a5d9529dcb09b0ecaaf752eff7edb5d


Detailed log of new commits:

Author: apn
Date: Thu May 21 15:11:12 2015 +0300

    Added parameter highlight_percent in command testdiff. It highlights considerable (>value in %) deviations of CPU and memory (default value is 5%).

(0041387)
apn (administrator)
2015-05-21 15:12

Return procedure _tests_platform_def, add parameter highlight_percent in command testdiff.
Dear abv, please review occt and products branches CR26237.
(0041389)
abv (manager)
2015-05-21 15:39

OK, please integrate
(0044268)
git (administrator)
2015-08-14 11:00

Branch CR26237 has been deleted by inv.

SHA-1: c6f84a997a5d9529dcb09b0ecaaf752eff7edb5d

- Related Changesets
occt: master 37d6975c
Timestamp: 2015-05-21 12:50:31
Author: apn
Committer: bugmaster
Details ] Diff ]
0026237: Change platform in TODOs from Debian\Mandriva to Linux

Change platform in occt test cases in TODOs from Debian\Mandriva to Linux

Small corrections in test cases. Return procedure _tests_platform_def.
mod - src/DrawResources/TestCommands.tcl Diff ] File ]
mod - tests/boolean/gdml_private/B5 Diff ] File ]
mod - tests/boolean/gdml_private/F8 Diff ] File ]
mod - tests/boolean/gdml_private/G1 Diff ] File ]
mod - tests/boolean/gdml_private/G7 Diff ] File ]
mod - tests/boolean/gdml_private/J4 Diff ] File ]
mod - tests/boolean/gdml_private/K8 Diff ] File ]
mod - tests/boolean/gdml_private/L3 Diff ] File ]
mod - tests/boolean/gdml_private/L4 Diff ] File ]
mod - tests/boolean/gdml_private/L5 Diff ] File ]
mod - tests/boolean/gdml_private/W2 Diff ] File ]
mod - tests/boolean/gdml_private/ZE4 Diff ] File ]
mod - tests/boolean/gdml_private/ZK3 Diff ] File ]
mod - tests/boolean/volumemaker/A4 Diff ] File ]
mod - tests/boolean/volumemaker/A7 Diff ] File ]
mod - tests/boolean/volumemaker/B3 Diff ] File ]
mod - tests/boolean/volumemaker/B4 Diff ] File ]
mod - tests/boolean/volumemaker/B6 Diff ] File ]
mod - tests/boolean/volumemaker/B9 Diff ] File ]
mod - tests/boolean/volumemaker/C1 Diff ] File ]
mod - tests/boolean/volumemaker/C3 Diff ] File ]
mod - tests/boolean/volumemaker/C9 Diff ] File ]
mod - tests/boolean/volumemaker/D2 Diff ] File ]
mod - tests/boolean/volumemaker/D4 Diff ] File ]
mod - tests/boolean/volumemaker/D5 Diff ] File ]
mod - tests/boolean/volumemaker/D8 Diff ] File ]
mod - tests/boolean/volumemaker/E4 Diff ] File ]
mod - tests/boolean/volumemaker/F1 Diff ] File ]
mod - tests/bugs/caf/bug1138 Diff ] File ]
mod - tests/bugs/fclasses/bug63 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_2 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_3 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_4 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_5 Diff ] File ]
mod - tests/bugs/fclasses/bug7287_6 Diff ] File ]
mod - tests/bugs/iges/buc60591_1 Diff ] File ]
mod - tests/bugs/iges/buc60591_2 Diff ] File ]
mod - tests/bugs/iges/buc60591_3 Diff ] File ]
mod - tests/bugs/iges/buc60591_4 Diff ] File ]
mod - tests/bugs/modalg_2/bug426 Diff ] File ]
mod - tests/bugs/moddata_1/bug22759 Diff ] File ]
mod - tests/bugs/moddata_2/bug567 Diff ] File ]
mod - tests/bugs/step/buc60948 Diff ] File ]
mod - tests/bugs/step/bug23379 Diff ] File ]
mod - tests/bugs/step/bug46 Diff ] File ]
mod - tests/bugs/step/bug51 Diff ] File ]
mod - tests/bugs/vis/buc60632_1 Diff ] File ]
mod - tests/bugs/vis/buc60632_2 Diff ] File ]
mod - tests/bugs/vis/bug137_10 Diff ] File ]
mod - tests/bugs/vis/bug137_11 Diff ] File ]
mod - tests/bugs/vis/bug137_9 Diff ] File ]
mod - tests/bugs/vis/bug22188 Diff ] File ]
mod - tests/bugs/vis/bug232 Diff ] File ]
mod - tests/bugs/vis/bug25732_1 Diff ] File ]
mod - tests/bugs/xde/bug184 Diff ] File ]
mod - tests/bugs/xde/bug23384 Diff ] File ]
mod - tests/bugs/xde/bug314 Diff ] File ]
mod - tests/bugs/xde/bug321 Diff ] File ]
mod - tests/chamfer/data/complex/B4 Diff ] File ]
mod - tests/chamfer/data/complex/B5 Diff ] File ]
mod - tests/chamfer/data/complex/B6 Diff ] File ]
mod - tests/chamfer/data/complex/B7 Diff ] File ]
mod - tests/chamfer/data/complex/B9 Diff ] File ]
mod - tests/de/step_3/F3 Diff ] File ]
mod - tests/demo/draw/getsource Diff ] File ]
mod - tests/draft/angle/G8 Diff ] File ]
mod - tests/draft/angle/M2 Diff ] File ]
mod - tests/heal/data/advanced/X1 Diff ] File ]
mod - tests/heal/data/advanced/Y6 Diff ] File ]
mod - tests/heal/data/advanced/ZF1 Diff ] File ]
mod - tests/heal/data/advanced/ZF2 Diff ] File ]
mod - tests/mesh/data/standard/G1 Diff ] File ]
mod - tests/mesh/data/standard/U7 Diff ] File ]
mod - tests/mesh/data/standard/W4 Diff ] File ]
mod - tests/mesh/end Diff ] File ]
mod - tests/offset/wire_closed_inside_0_005/D1 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_005/H6 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_005/I8 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/H6 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/I8 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_075/H6 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_075/I8 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_005/C6 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_005/D1 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_005/H6 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_025/C6 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_025/H6 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_075/C6 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_075/H6 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_075/I3 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_005/A1 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_005/B8 Diff ] File ]
mod - tests/xml/begin Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-19 13:00 apn New Issue
2015-05-19 13:00 apn Assigned To => apn
2015-05-19 13:00 apn Test case number => Not needed
2015-05-19 13:00 apn Status new => assigned
2015-05-19 15:25 git Note Added: 0041283
2015-05-19 15:35 apn Note Added: 0041284
2015-05-19 15:36 apn Assigned To apn => abv
2015-05-19 15:36 apn Status assigned => resolved
2015-05-19 16:41 abv Note Added: 0041291
2015-05-19 16:41 abv Assigned To abv => apn
2015-05-19 16:41 abv Status resolved => assigned
2015-05-20 16:40 git Note Added: 0041326
2015-05-21 13:09 git Note Added: 0041376
2015-05-21 13:40 git Note Added: 0041378
2015-05-21 15:11 git Note Added: 0041386
2015-05-21 15:12 apn Note Added: 0041387
2015-05-21 15:13 apn Assigned To apn => abv
2015-05-21 15:13 apn Status assigned => resolved
2015-05-21 15:39 abv Note Added: 0041389
2015-05-21 15:39 abv Assigned To abv => bugmaster
2015-05-21 15:39 abv Status resolved => reviewed
2015-05-21 15:43 apn Status reviewed => tested
2015-05-22 12:19 bugmaster Changeset attached => occt master 37d6975c
2015-05-22 12:19 bugmaster Status tested => verified
2015-05-22 12:19 bugmaster Resolution open => fixed
2015-08-14 11:00 git Note Added: 0044268
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker